Stylistic changes to geo (#100)

This commit is contained in:
Reto Kromer 2017-07-27 14:21:51 +02:00 committed by Alex Epstein
parent 6ccaa83576
commit fc85d432bd
1 changed files with 62 additions and 74 deletions

76
geo/geo
View File

@ -1,17 +1,14 @@
#!/usr/bin/env bash
#
# Bash utility for getting specific network info
# Author: Jake Meyer
# Github: https://github.com/jakewmeyer
#
currentVersion="1.15.2"
configuredClient=""
## This function determines which http get tool the system has installed and returns an error if there isnt one
getConfiguredClient()
{
getConfiguredClient() {
if command -v curl &>/dev/null; then
configuredClient="curl"
elif command -v wget &>/dev/null; then
@ -22,54 +19,54 @@ getConfiguredClient()
echo "Error: This tool reqires either curl, wget, or fetch to be installed."
return 1
fi
}
## Allows to call the users configured client without if statements everywhere
httpGet()
{
httpGet() {
case "$configuredClient" in
curl) curl -A curl -s "$@" ;;
wget) wget -qO- "$@" ;;
fetch) fetch -o "..." ;;
esac
}
# Parse arguments passed + help formatting
usage() {
echo "Geo"
echo "Description: Provides quick access for wan, lan, router, dns, mac, and ip geolocation data"
echo "Usage: geo [flag]"
echo " -w Returns WAN IP"
echo " -l Returns LAN IP(s)"
echo " -r Returns Router IP"
echo " -d Returns DNS Nameserver"
echo " -m Returns MAC address for interface. Ex. eth0"
echo " -g Returns Current IP Geodata"
echo "Examples:"
echo " geo -g"
echo " geo -wlrdgm eth0"
echo "Custom Geo Output =>"
echo "[all] [query] [city] [region] [country] [zip] [isp]"
echo "Example: geo -a 8.8.8.8 -o city,zip,isp"
echo " -o [options] Returns Specific Geodata"
echo " -a [address] For specific ip in -s"
echo " -v Returns Version"
echo " -h Returns Help Screen"
echo " -u Updates Bash-Snippets"
cat <<EOF
Geo
Description: Provides quick access for wan, lan, router, dns, mac, and ip geolocation data
Usage: geo [flag]
-w Returns WAN IP
-l Returns LAN IP(s)
-r Returns Router IP
-d Returns DNS Nameserver
-m Returns MAC address for interface. Ex. eth0
-g Returns Current IP Geodata
Examples:
geo -g
geo -wlrdgm eth0
Custom Geo Output => [all] [query] [city] [region] [country] [zip] [isp]
Example: geo -a 8.8.8.8 -o city,zip,isp
-o [options] Returns Specific Geodata
-a [address] For specific IP in -s
-v Returns Version
-h Returns Help Screen
-u Updates Bash-Snippets
EOF
exit
}
# Displays version number
version() {
echo "Version $currentVersion";
echo "Version $currentVersion"
}
# Fetches WAN ip address
# Fetches WAN IP address
wan_search() {
httpGet https://api.ipify.org?format=json | grep -Eo "[0-9.]*"
}
# Fetches current LAN ip address
# Fetches current LAN IP address
lan_search() {
if [ "$(uname)" = "Darwin" ]; then
ifconfig | grep -Eo 'inet (addr:)?([0-9]*\.){3}[0-9]*' | grep -Eo '([0-9]*\.){3}[0-9]*' | grep -v '127.0.0.1'
@ -131,9 +128,7 @@ specific_geo() {
fi
}
update()
{
update() {
# Author: Alexander Epstein https://github.com/alexanderepstein
# Update utility version 1.2.0
# To test the tool enter in the defualt values that are in the examples for each variable
@ -153,7 +148,7 @@ update()
echo "Version $latestVersion available"
echo -n "Do you wish to update $repositoryName [Y/n]: "
read -r answer
if [[ "$answer" == "Y" || "$answer" == "y" ]] ;then
if [[ "$answer" == [Yy] ]] ;then
cd ~ || { echo 'Update Failed'; exit 1; }
if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi
git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version" ; exit 1; }
@ -170,21 +165,15 @@ update()
echo "$repositoryName is already the latest version"
fi
fi
}
checkInternet()
{
checkInternet() {
httpGet google.com > /dev/null 2>&1 || { echo "Error: no active internet connection" >&2; return 1; } # query google with a get request
}
# Option parsing "controller"
optspec="uwlrdm:go:a:vh*:"
while getopts "$optspec" optchar
do
while getopts "$optspec" optchar; do
case "${optchar}" in
w) getConfiguredClient && checkInternet && wan_search || exit 1 ;;
l) lan_search ;;
@ -202,8 +191,7 @@ do
done
# Makes geo command default to help screen for usability
if [ $# -eq 0 ];
then
if [ $# -eq 0 ]; then
usage
exit 0
elif [[ $1 == "update" ]]; then